edu.isi.pegasus.planner.selector.transformation

## Class Random

- java.lang.Object
- - edu.isi.pegasus.planner.selector.TransformationSelector
  - - edu.isi.pegasus.planner.selector.transformation.Random

    public class Random
    extends TransformationSelector

This implemenation of the TCSelector selects a random TransformationCatalogEntry from a List of entries.

Version:
  $Revision$
Author:
  Gaurang Mehta

### Field Summary

### Fields inherited from class edu.isi.pegasus.planner.selector.TransformationSelector

`mLogger, PACKAGE_NAME`

### Constructor Summary

Constructors
Constructor and Description
`Random()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List` `getTCEntry(java.util.List tcentries)` This method randomly selects one of the records from numerous valid Transformation Catalog Entries returned by the TCMapper.

### Methods inherited from class edu.isi.pegasus.planner.selector.TransformationSelector

`loadTXSelector`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Random

    public Random()

### Method Detail

#### getTCEntry

    public java.util.List getTCEntry(java.util.List tcentries)

This method randomly selects one of the records from numerous valid Transformation Catalog Entries returned by the TCMapper.

Specified by:
  `getTCEntry` in class `TransformationSelector`
Parameters:
  `tcentries` - List TransformationCatalogEntry objects returned by the TCMapper.
Returns:
  TransformationCatalogEntry Single TransformationCatalogEntry object